- Update price list row for an employment
Add worklogs for an employment within a date range
List periods
List employment groups
List salary categories
List employees
Create employee
Get employee
Update employee
List employee's employments
Create employment for employee
Update employment for employee
Get holiday summary for employment
List salary rows for an employment
Create salary row for an employment
Update salary row for an employment
List price list rows for an employment
Create price list row for an employment
Update price list row for...
Security
OAuth2Sandbox
Localized description of the price list row.
Supports currently only "fi", which is used for all languages.
Example:
{ "fi": "Peruspalkka" }
Daily allowance codes associated with this price list row.
Items Enum:"meal_allowance""partial_daily_allowance""full_daily_allowance""foreign_daily_allowance""foreign_work_tax_free_compensations"
Example:
[ "meal_allowance" ]
- Sandboxhttps://api.<slug>.isv-test.fennoa.com/v2/payroll/employees/{employeeId}/employments/{employmentId}/price-list-rows/{priceListRowId}
curl -i -X PATCH \
'https://api.<slug>.isv-test.fennoa.com/v2/payroll/employees/{employeeId}/employments/{employmentId}/price-list-rows/{priceListRowId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"salary_category_id": 1,
"description": {
"fi": "Peruspalkka"
},
"amount": "3500.00000",
"start_date": "2025-01-01",
"end_date": null,
"daily_allowance_codes": [
"meal_allowance"
],
"dimension_ids": [
1,
2
]
}'Response
{ "data": { "id": 1, "salary_category_id": 1, "description": { … }, "amount": "3500.00000", "start_date": "2026-01-01", "end_date": "2026-12-31", "daily_allowance_codes": [ … ], "dimension_ids": [ … ] } }